#ifndef _STDLIB_H
#define _STDLIB_H

#include <stddef.h>

#define noreturn __attribute__((noreturn))

#ifdef __cplusplus
extern "C"
{
#endif

    noreturn void abort();
    noreturn void exit(int);
    int atexit(void (*)(void));
    int atoi(const char*);
    void free(void*);
    char* getenv(const char*);
    void* malloc(size_t);

#ifdef __cplusplus
}
#endif

#endif